Show description of files in files tab

2010-05-19 16:35 - Daniel Luedemann

Status: New Start date: 2010-05-19

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be great if, under the Files tab, Redmine showed the description entered when sending a file.

I know it's shown when the mouse hovers the file's title, but in my company we use descriptions a lot and it's not very comfortable to

have to hover in every file. Sometimes, some files have even the same title.

I modified views/projects/list_files.rhtml to show the description, but maybe we could have some kind if configuration option to decide

whether or not to show the description.

Related issues:

Has duplicate Redmine - Feature #1205: Display file description in File listing Closed 2008-05-07

History

#1 - 2010-05-19 17:04 - Holger Just

On DevMeeting1 we agreed on merging the Documents and Files sections. But this will probably only be part of Version 1.1.0

Please add your modification as a patch here, so that the UX Team can use it during the redesign.

#2 - 2010-05-19 17:14 - Daniel Luedemann

Well, I must warn you that I have ANY skills in Ruby, I had never seen a line of code in Ruby before :)

The modification I made is very simple, I changed line 30.

Before:

 <td class="filename"><%= link_to_attachment file, :download => true, :title => file.description %></td>

 After:

<td class="filename"><%= if file.description.empty?

                               link_to_attachment file, :download => true, :title => file.description

                             else

                               link_to_attachment file, :download => true, :title => file.description, :text =

> file.filename + \

" - " + file.description

                             end %></td>

#3 - 2010-05-20 09:08 - Sandra Filgueira

- Status changed from New to Resolved

#4 - 2010-05-20 09:39 - Felix Schäfer

- Status changed from Resolved to New

Resolved is meant for issues solved in trunk but not yet committed to the stable branch.

#5 - 2016-01-19 03:52 - Go MAEDA

- Has duplicate Feature #1205: Display file description in File listing added
#6 - 2016-08-11 09:11 - Timon Eckert

The feature is quite simple (unfortunately I currently can't setup a contribution environment)

In redmine/app/views/files/index.html.erb just add the following (works in version 3.3.0):

# in the thead section add the following line after :field_filename

<%= sort_header_tag('filename', :caption => l(:field_description)) %>

# in the <th> section the colspan is extended to 7, because we have a new column

# now in the table row section of the table data, add the following line after the existing filename td

<td class="filename"><%= link_to_attachment file, :download => true, :text => file.description %></td>

#7 - 2016-09-07 13:21 - Toshi MARUYAMA

- Category changed from UI to Files

#8 - 2022-09-13 16:22 - Stephen Ostrow

At some point this was Feature was added to list the description next to the listing of files in the description of the ticket; however, it still does not

display the description of the File in the issue update comment which shows a File was added. This is quite annoying and should be fairly trivial to

add.
